All Projects

ProjectCategoryTask TypePriority  ascSeveritySummaryStatusProgress
PackagesStableBug ReportVery LowHigh[ispell] require FHSRequires Testing
100%
Task Description

Description:

cant open /usr/local/lib/english.hash

Additional info:

Repository      : extra
Name            : ispell
Version         : 3.3.02-7
Description     : An interactive spell-checking program for Unix
Architecture    : x86_64
URL             : http://ficus-www.cs.ucla.edu/geoff/ispell.html
Licenses        : BSD
Groups          : None
Provides        : None
Depends On      : ncurses
Optional Deps   : None
Conflicts With  : None
Replaces        : None
Download Size   : 321.26 KiB
Installed Size  : 1336.00 KiB
Packager        : Evangelos Foutras <evangelos@foutrelis.com>
Build Date      : Sun Sep 6 12:07:06 2015
Validated By    : MD5 Sum  SHA-256 Sum  Signature

Steps to reproduce:

- Install package

PackagesAnyFreedom IssueVery LowLow[isatapd]: using kernel name instead of operating syste...Unconfirmed
0%
Task Description

Description:

community/isatapd 0.9.7-4
     Creates and maintains an ISATAP tunnel (rfc5214) in Linux

See:
https://www.gnu.org/philosophy/words-to-avoid.html#Linux

PackagesAnyFreedom IssueVery LowLow[isapnptools]: using kernel name instead of operating s...Unconfirmed
0%
Task Description

Description:

community/isapnptools 1.27-4
     Allow ISA Plug-And-Play devices to be configured on a Linux machine

See:
https://www.gnu.org/philosophy/words-to-avoid.html#Linux

PackagesAnyFreedom IssueVery LowLow[inotify-tools]: using kernel name instead of operating...Unconfirmed
0%
Task Description

Description:

community/inotify-tools 3.14-4 [installed]
     inotify-tools is a C library and a set of command-line programs for Linux providing a simple  interface to inotify.

See:
https://www.gnu.org/philosophy/words-to-avoid.html#Linux

PackagesAnyFreedom IssueVery LowLow[igmpproxy]: using kernel name instead of operating sys...Unconfirmed
0%
Task Description

Description:

community/igmpproxy 0.1.20161003next-2
     a simple multicast router for Linux only using the IGMP protocol

See:
https://www.gnu.org/philosophy/words-to-avoid.html#Linux

PackagesStableUpdate RequestVery LowLow[icewm] Upgrade package versionUnconfirmed
0%
Task Description

The current version of the package icewm within the Hyperbola-repositories is 1.3.8. The latest version is 1.6.3!
An update would be helpful as this window-manager follows absolutely the principles of the distribution Hyperbola itself, being simple and fast.

PackagesStableFeature RequestVery LowLow[iceweasel-uxp] Request browser add-on: Privacy Setting...Unconfirmed
0%
Task Description

Name: Privacy Settings
Version: 0.2.6 (compatible Firefox version 52.* to 56.*)
Author: Jeremy Schomery (j_schomery)
Licence: Mozilla Public Licence (MPL) 2.0
Source code: Github
Description: Alter Firefox’s built-in privacy settings easily with a toolbar panel.

PackagesStableFeature RequestVery LowLow[iceweasel-uxp] Request browser add-on: Classic Theme R...Unconfirmed
0%
Task Description

Name: Classic Theme Restorer
Version: 1.7.7.2 (compatible Firefox version 45.* to 56.*)
Author: Aris (Aris-t2)
Licence: Mozilla Public Licence (MPL) 2.0
Source code: Github
Description: Squared tabs, application menu, add-on bar, small button view and many more ‘old’ features for ‘Firefox 29-56’, not for Firefox 57+!

PackagesAnyFreedom IssueVery LowLow[ibus]: using name of kernel to refer to operating syst...Unconfirmed
0%
Task Description
extra/ibus 1.5.15-1
     Next Generation Input Bus for Linux

See:
https://www.gnu.org/philosophy/words-to-avoid.html#Linux

Description is referring to operating system, and not to the kernel itself (Linux). It shall be amended.

PackagesAnyFreedom IssueVery LowLow[i7z]: using kernel name instead of operating system na...Unconfirmed
0%
Task Description

Description:

community/i7z 0.27.2.git1-4
     A better i7 (and now i3, i5) reporting tool for Linux

See:
https://www.gnu.org/philosophy/words-to-avoid.html#Linux

PackagesAnyFeature RequestVery LowLow[i3lock-color] adding package into pacmanDeferred
0%
Task Description

We already have i3lock, this version is an enhanced version available in Arch AUR:
https://aur.archlinux.org/packages/i3lock-color https://aur.archlinux.org/packages/i3lock-color-git/

PackagesAnyImplementation RequestVery LowMedium[i3-gaps] Add new packageUnconfirmed
0%
Task Description

Description: i3-gaps is a fork of i3 that properly implements gaps.

Additional info:
It is implemented in the AUR https://www.archlinux.org/packages/community/x86_64/i3-gaps/ and it’s source is available on github: https://github.com/Airblader/i3

PackagesAnyFreedom IssueVery LowLow[i2c-tools]: using kernel name instead of operating sys...Unconfirmed
0%
Task Description

Description:

community/i2c-tools 3.1.1-2
     Heterogeneous set of I2C tools for Linux that used to be part of lm-sensors

See:
https://www.gnu.org/philosophy/words-to-avoid.html#Linux

PackagesAnyFreedom IssueVery LowLow[hexedit]: using kernel name instead of operating syste...Unconfirmed
0%
Task Description

Description:

community/hexedit 1.2.13-3
     Hex Editor for Linux

See:
https://www.gnu.org/philosophy/words-to-avoid.html#Linux

PackagesAnyFreedom IssueVery LowLow[hedgewars] Crash when starting a new singleplayer-camp...Unconfirmed
0%
Task Description

When trying to start a new campaign the complete game-engine is crashing with the following message:

Object::disconnect: Unexpected null parameter
QCoreApplication::postEvent: Unexpected null receiver

As ghc and fpc should be removed in the near future it would be good to validate this or otherwise remove the game-package itself also.

PackagesAnyDrop RequestVery LowMedium[hardening-wrapper] deprecated, not needed anymoreUnconfirmed
0%
Task Description

According to : https://github.com/thestinger/hardening-wrapper-deprecated

Wrapper scripts for building hardened executables by default (deprecated, replaced by standard Arch Linux toolchain changes)

PackagesAnyFreedom IssueVery LowLow[guvcview]: using kernel name instead of operating syst...Unconfirmed
0%
Task Description

Description:

community/guvcview 2.0.5-1
     A video viewer and capturer for the linux uvc driver

See:
https://www.gnu.org/philosophy/words-to-avoid.html#Linux

PackagesStableBug ReportVery LowCritical[gtk-2] Severe problems with GTK2-applicationsUnconfirmed
0%
Task Description

Description: Since the migration to xenocara there seems to be a bug with applications using GTK-2. From time to time there are crashes with assertion `!xcb_xlib_threads_sequence_lost’.

Looking into this a little bit more deep there are also other distributions affected and this is an upstream-bug. But the concrete situation is not that easy, while it could be also part of the library libX11 itself. Looking therefore here: https://bugs.launchpad.net/ubuntu/+source/pcmanfm/+bug/1782984

Affected are for example LXDE in general, icedove, iceweasel and many more!

PackagesAnyFreedom IssueVery LowLow[grilo]: using "content" in descriptionUnconfirmed
0%
Task Description

Description:

extra/grilo 0.3.3+3+g3104a34-1
    Framework that provides access to various sources of multimedia content

The description is vague.

See:
https://www.gnu.org/philosophy/words-to-avoid.html#Content

PackagesAnyFreedom IssueVery LowLow[gpg] keyserver receive failed: Server indicated a fail...Unconfirmed
0%
Task Description

Description:
GPG does not receive keys from servers. Seems that connection is blocked.

Additional info:
* package version(s)

$ gpg --version 
gpg (GnuPG) 2.2.8
libgcrypt 1.7.6
(...)

* config and/or log files etc.

$ gpg --debug-all --receive-keys B00033B86FDA59BA7D75B89BB88AF90BF64827C5
gpg: reading options from '/home/asm/.gnupg/gpg.conf'
gpg: enabled debug flags: packet mpi crypto filter iobuf memory cache memstat trust hashing ipc clock lookup extprog
gpg: DBG: [not enabled in the source] start
gpg: DBG: chan_3 <- # Home: /home/asm/.gnupg
gpg: DBG: chan_3 <- # Config: /home/asm/.gnupg/dirmngr.conf
gpg: DBG: chan_3 <- OK Dirmngr 2.2.8 at your service
gpg: DBG: connection to the dirmngr established
gpg: DBG: chan_3 -> GETINFO version
gpg: DBG: chan_3 <- D 2.2.8
gpg: DBG: chan_3 <- OK
gpg: DBG: chan_3 -> KS_GET -- 0xB00033B86FDA59BA7D75B89BB88AF90BF64827C5
gpg: DBG: chan_3 <- ERR 219 Server indicated a failure <Fonte não especificada>
gpg: keyserver receive failed: Server indicated a failure
gpg: DBG: chan_3 -> BYE
gpg: DBG: [not enabled in the source] stop
gpg: keydb: handles=0 locks=0 parse=0 get=0
gpg:        build=0 update=0 insert=0 delete=0
gpg:        reset=0 found=0 not=0 cache=0 not=0
gpg: kid_not_found_cache: count=0 peak=0 flushes=0
gpg: sig_cache: total=0 cached=0 good=0 bad=0
gpg: random usage: poolsize=600 mixed=0 polls=0/0 added=0/0
              outmix=0 getlvl1=0/0 getlvl2=0/0
gpg: secmem usage: 0/32768 bytes in 0 blocks

* Useful information:
https://arcolinux.com/fix-for-key-could-not-be-looked-up-remotely/

Unfortunately, the workaround does not work for me. However, it indicate the arch linux package that fixes this issue.

Steps to reproduce:
Just type.

gpg --receive-keys B00033B86FDA59BA7D75B89BB88AF90BF64827C5
PackagesAnyImplementation RequestVery LowLow[gogs] add packageUnconfirmed
0%
Task Description

Hello,

It would be great to add this package :

gogs

“Self Hosted Git Service written in Go”

https://aur.archlinux.org/packages/gogs

openrc init scripts : https://aur.archlinux.org/packages/gogs-openrc

License : GPL

Thanks

PackagesAnyFreedom IssueVery LowLow[gnome] Complete remval of desktop-environmentUnconfirmed
0%
Task Description

Description: As Gnome has decided against following libre, free principles the desktop-environment has becoming a risk for the privacy and freedom for users. Meaning that the desktop-environment with all basic packages should be removed. Of course the final decision is up to the community and the development-team. Followed up are more reasons for the insights:

* Bloated with questionable dependencies (including mandatory systemd)
* Using proprietary services as high risk for freedom and privacy for users (https://i.stack.imgur.com/yZcyV.png)
* Coming up with questionable and vague principles, against software-freedom in a whole (inclusion of flatpak and flathub as so-called standardization for distributions, discussions about proprietary software included within the software-center)

Additional info for packages:

gnome-backgrounds
gnome-calculator
gnome-contacts
gnome-control-center
gnome-dictionary
gnome-disk-utility
gnome-font-viewer
gnome-keyring
gnome-screenshot
gnome-session
gnome-settings-daemon
gnome-shell
gnome-shell-extensions
gnome-system-monitor
gnome-terminal
gnome-themes-standard
gnome-user-docs
gnome-user-share
grilo-plugins

PackagesAnyImplementation RequestVery LowLow[gmusicbrowser] Add packageUnconfirmed
0%
Task Description

Hello,

Could it be possible to add this package :

gmusicbrowser

“A customizable open-source jukebox for large collections”

https://www.parabola.nu/packages/pcr/any/gmusicbrowser/

License : GPL3

Thanks

PackagesAnyFreedom IssueVery LowLow[gmerlin]: using kernel name instead of operating syste...Unconfirmed
0%
Task Description

Description:

community/gmerlin 1.2.0-8
     Multimedia architecture for Linux

See:
https://www.gnu.org/philosophy/words-to-avoid.html#Linux

PackagesAnyImplementation RequestVery LowHigh[glom]: should depend on libgdaUnconfirmed
0%
Task Description

Description:

glom cannot run without libgda, so it should depend on libgda package

PackagesAnyFreedom IssueVery LowHigh[gitlab] systemd reference & command not found during i...Unconfirmed
0%
Task Description

(14/14) installing gitlab [##############################] 100%
/tmp/alpm_bCqhHf/.INSTALL: line 2: systemd-tmpfiles: command not found

PackagesAnyPrivacy IssueVery LowLow[github] check github-related packagesResearching
0%
Task Description

We should check if the following packages run any non-free JS (like youtube-dl) or access a proprietary API:

- hub
- python-pygithub
- python2-pygithub

I haven’t check them, but they look fishy. Take it as a reminder, this is far from being urgent IMO.

PackagesAnyImplementation RequestVery LowMedium[gitea] self-hosted git service Assigned
0%
Task Description

Description:

A nice Git service would be welcomed in our pacman.

- https://github.com/go-gitea/gitea

- https://www.archlinux.org/packages/community/x86_64/gitea/

PackagesStableSecurity IssueVery LowMedium[git] Multiple CVEsUnconfirmed
0%
Task Description

CVE-2020-5260 has been fixed very recently in Debian, so I thought I would apply this patch. However, I found out that security patches have not been applied for quite a while (I could account for at least 6 CVEs).

Considering that the version in Debian stretch (2.11.0) is the nearest version with security patches released by Debian and that git project oldest supported version is 2.17, I have used patches from Debian stretch to apply on 2.12.2 currently in Milky Way.

But I have the following error on check():

 |  *** prove ***
 |
 |  Test Summary Report
 |  -------------------
 |  t5570-git-daemon.sh                              (Wstat: 256 Tests: 20 Failed: 10)
 |    Failed tests:  3-7, 15-19
 |    Non-zero exit status: 1
 |  t5811-proto-disable-git.sh                       (Wstat: 256 Tests: 26 Failed: 16)
 |    Failed tests:  2-6, 9-11, 15-19, 21-23
 |    Non-zero exit status: 1
 |  Files=769, Tests=14137, 1101 wallclock secs ( 8.08 usr  1.12 sys + 144.48 cusr 63.42 csys = 217.10 CPU)
 |  Result: FAIL
 |  make[1]: *** [Makefile:45: prove] Error 1
 |  make[1]: Leaving directory '/build/git/src/git-2.12.2/t'
 |  make: *** [Makefile:2291: test] Error 2
 |  ==> ERROR: A failure occurred in check().
 |      Aborting...

This does not seem to be related to my change as the current version in Milky Way produces the same error (IOW the package currently in Milky Way is not rebuidable).

PackagesAnyFreedom IssueVery LowLow[girara] issues critical errorUnconfirmed
0%
Task Description

Steps to reproduce:
Open from the command line any pdf file with either `zathura-pdf-poppler` or `zathura-pdf-mupdf`, then hit `q` to quit and the terminal will show the following error:

** (zathura:<PID>): CRITICAL **: girara_list_foreach: assertion 'list && list->start && callback' failed
PackagesAnyBug ReportVery LowLow[gimp] [gegl] Module '/usr/lib/gegl-0.3/lens-correct.so...Assigned
0%
Task Description

admin→ gimp IMG_20170909_153350828.jpg
GEGL-Message: Module ‘/usr/lib/gegl-0.3/lens-correct.so’ load error: liblensfun.so.1: cannot open shared object file: No such file or directory
GEGL-Message: Module ‘/usr/lib/gegl-0.3/matting-levin.so’ load error: libumfpack.so.5: cannot open shared object file: No such file or directory

(gimp:12519): GLib-GObject-WARNING **: g_object_set_valist: object class ‘GeglConfig’ has no property named ‘cache-size’

Those are errors I get when running Gimp.

PackagesAnyImplementation RequestVery LowLow[gimagereader] add packageUnconfirmed
0%
Task Description

Hello,

Could it be possible to add this package :

gimagereader

“A graphical frontend to tesseract-ocr”

https://aur.archlinux.org/packages/gimagereader

License : GPL3

Thanks

PackagesAnyFreedom IssueVery LowLow[gfbgraph]: using exclusively proprietary networkUnconfirmed
0%
Task Description
extra/gfbgraph 0.2.3+10+gbc03c1f-1
    GLib/GObject wrapper for the Facebook Graph API

In my opinion this software is for exclusive use of proprietary network. This software shall be removed from Hyperbola.

PackagesAnyImplementation RequestVery LowLow[gcdemu] add packageUnconfirmed
0%
Task Description

Hello,

Could it be possible to add this package :

gcdemu

“GNOME panel applet controlling cdemu-daemon”

https://aur.archlinux.org/packages/gcdemu

http://cdemu.sourceforge.net/

License : GPL2

Thanks

PackagesStableImplementation RequestVery LowMedium[gcc] Renew to version 8 or 9, including multilibDeferred
0%
Task Description

As even the support for GCC 7 is now ending with the release of version 7.5 (https://gcc.gnu.org/ml/gcc/2019-11/msg00099.html) I’d like to propose a renewal of the building-stack - which I think is also needed in time. Also a renewal of the glibc would be good at all!

PackagesAnyImplementation RequestVery LowLow[fsearch] add packageUnconfirmed
0%
Task Description

Could it be possible to add :

fsearch

https://github.com/cboxdoerfer/fsearch

License : GPL

PackagesAnyFreedom IssueVery LowLow[freecad] Steering users towards non-free softwareUnconfirmed
0%
Task Description

Description: FreeCAD may be free software, yet its features are steering users towards non-free software. It is asking for Teigha File Converter which is proprietary software, and it is asking for the path in order to enable the option import/export.

Additional info:

* package version: community/freecad 0.16-9

Steps to reproduce:

After attempt to open the DWF/DXF file FreeCad is to request the Teigha File Converter which is proprietary software.

Under the menu Edit → Preferences → Import/Export → DWG, one can see the request to enter the path to Teigha File Converter.

Teigha File Converter with proprietary license

FreeCAD requesting the path to Teigha File Converter

PackagesAnyImplementation RequestVery LowMedium[foxtrotgps] please add package to reposUnconfirmed
0%
Task Description

Unlike other mapping software (gnome-maps, emerillon) it does not depend on geoclue/geoclue2 (or on kde packages like marble). The package was added to Arch’s official repos over a year ago. Their PKGBUILD builds fine.

PackagesAnyImplementation RequestVery LowLow[flowblade] add packageUnconfirmed
0%
Task Description

Could it be possible to add :

flowblade

https://www.parabola.nu/packages/pcr/any/flowblade/

“a multitrack non-linear video editor for GNU/Linux”

License : GPL3

Thanks

PackagesAnyFreedom IssueVery LowLow[flattr-icon-theme]: using kernel name instead of opera...Unconfirmed
0%
Task Description

Description:

community/flattr-icon-theme 1.3-2
     Flattr is an icon theme for Linux desktops, the set is inspired by the latest flat design tr end.

See:
https://www.gnu.org/philosophy/words-to-avoid.html#Linux

PackagesAnyImplementation RequestVery LowLow[flacon] add packageUnconfirmed
0%
Task Description

Hello,

Could it be possible to add this package :

flacon

“Extracts individual tracks from one big audio file containing the entire album of music and saves them as separate audio files.”

https://aur.archlinux.org/packages/flacon/

https://flacon.github.io/

License : LGPL2.1

Thanks

PackagesAnyBug ReportVery LowMedium[ffmpegthumbnailer] missing support for some media form...Unconfirmed
0%
Task Description

ffmpegthumbnailer does not support some media formats since they do not appear in its configuration file ffmpegthumbnailer.thumbnailer which can be found in /usr/share/thumbnailers/. By editing the file ffmpegthumbnailer.thumbnailer one can add thumbnail support for embedded art in audio formats such as flac and mp3 (using the -m flag) and thumbnail support for webp (a new image format which iceweasel-uxp and gthumb support). I’m attaching my edited file (I just added a few common audio formats and webp and added the -m flag and removed the -f flag).

PackagesAnyFreedom IssueVery LowLow[fcitx-mozc]: steering users to non-free software, usin...Unconfirmed
0%
Task Description

Description:

community/fcitx-mozc 2.20.2673.102-2
     Fcitx Module of A Japanese Input Method for Chromium OS, Windows, Mac and Linux (the Open So urce Edition of Google Japanese Input)

See:
https://www.gnu.org/philosophy/words-to-avoid.html#Linux

There is no need to promote neither Chromium OS, Windows or Mac in descriptions of free software distribution. And “Linux” shall be changed to GNU/Linux to refer to operating system name.

PackagesAnyFreedom IssueVery LowLow[fbreader]: using kernel name instead of operating syst...Unconfirmed
0%
Task Description

Description:

community/fbreader 0.99.4-6
     An e-book reader for Linux

See:
https://www.gnu.org/philosophy/words-to-avoid.html#Linux

PackagesStableBug ReportVery LowMedium[fail2ban] uses old /usr/bin/sendmail location when it ...Unconfirmed
0%
Task Description

Description:

I saw errors in logs because fail2ban couldn’t find /usr/bin/sendmail, and discovered this:

[/etc/fail2ban] [0]
$ grep /usr/bin/sendmail */*
action.d/sendmail-buffered.conf:              Fail2Ban" | /usr/bin/sendmail -f <sender> <dest>
action.d/sendmail-buffered.conf:                 Fail2Ban" | /usr/bin/sendmail -f <sender> <dest>
action.d/sendmail-buffered.conf:             Fail2Ban" | /usr/bin/sendmail -f <sender> <dest>
action.d/sendmail-buffered.conf:                Fail2Ban" | /usr/bin/sendmail -f <sender> <dest>
action.d/sendmail-common.conf:              Fail2Ban" | /usr/bin/sendmail -f <sender> <dest>
action.d/sendmail-common.conf:             Fail2Ban" | /usr/bin/sendmail -f <sender> <dest>
action.d/sendmail.conf:            Fail2Ban" | /usr/bin/sendmail -f <sender> <dest>
action.d/sendmail-geoip-lines.conf:            Fail2Ban" | /usr/bin/sendmail -f <sender> <dest>
action.d/sendmail-whois.conf:            Fail2Ban" | /usr/bin/sendmail -f <sender> <dest>
action.d/sendmail-whois-ipjailmatches.conf:            Fail2Ban" | /usr/bin/sendmail -f <sender> <dest>
action.d/sendmail-whois-ipmatches.conf:            Fail2Ban" | /usr/bin/sendmail -f <sender> <dest>
action.d/sendmail-whois-lines.conf:            Fail2Ban" | /usr/bin/sendmail -f <sender> <dest>
action.d/sendmail-whois-matches.conf:            Fail2Ban" | /usr/bin/sendmail -f <sender> <dest>

Please, also check for other binaries with wrong locations

As of now, the solution is as simple as removing this line → https://git.hyperbola.info:50100/packages/community.git/tree/fail2ban/PKGBUILD#n79

Additional info:
* fail2ban-0.9.6-2.hyperbola3

PackagesStableBug ReportVery LowVery Low[fail2ban] update dovecot failregex to support verbose ...Unconfirmed
0%
Task Description

Description:
The /etc/fail2ban/filter.d/dovecot.conf file has a failregex with the following:

^%(__prefix_line)s(?:auth|auth-worker\(\d+\)): (?:pam|passwd-file)\(\S+,<HOST>\): unknown user\s*$

and works with things like:

Month day time hostname dovecot: auth: passwd-file(user@domain.com,IP): unknown user

but with verbosity enabled in Dovecot, this output looks like this:

Month day time hostname dovecot: auth: passwd-file(user@domain.com,IP): unknown user (given password: password)

and in this case it doesn’t work, but it does if we fix the failregex if we replace it with:

^%(__prefix_line)s(?:auth|auth-worker\(\d+\)): (?:pam|passwd-file)\(\S+,<HOST>\): unknown user( \(given password: \S*\))?\s*$

with this new expression, it works with and without verbosity

And regarding postfix, to make it work correctly I “backported” some pieces from newest failregex:

/etc/fail2ban/postfixr-rbl.conf:

^%(__prefix_line)sNOQUEUE: reject: RCPT from \S+\[<HOST>\]: [45]54 [45]\.7\.1 Service unavailable; Client host \[\S+\] blocked using .* from=<\S*> to=<\S+> proto=ESMTP helo=<\S*>$

/etc/fail2ban/postfix.conf: (second failregex)

^%(__prefix_line)sNOQUEUE: reject: RCPT from \S+\[<HOST>\]: 45[04] 4\.7\.1 Client host rejected: cannot find your (reverse )?hostname, (\[\S*\]); from=<\S*> to=<\S+> proto=ESMTP helo=<\S*>$

I can create a patch if you want. Note that I haven’t tested all filters, some others may also need some rework

Additional info:
* fail2ban-0.9.6-2.hyperbola3

PackagesStableBug ReportVery LowMedium[fail2ban] remove systemd integrationUnconfirmed
0%
Task Description

Description:
This package has a strong systemd integration. It has a systemd backend to get files modifications:

(from /etc/fail2ban/jail.conf)

# systemd:   uses systemd python library to access the systemd journal.
#              Specifying "logpath" is not valid for this backend.
#              See "journalmatch" in the jails associated filter config

and many files at /etc/fail2ban/filter.d have systemd stuff

[/etc/fail2ban/filter.d] [0]
$ grep -i systemd *
dovecot.conf:#journalmatch = _SYSTEMD_UNIT=dovecot.service
ejabberd-auth.conf:# Notes.:  systemd journalctl style match filter for journal based backend
postfix.conf:journalmatch = _SYSTEMD_UNIT=postfix.service
postfix-sasl.conf:#journalmatch = _SYSTEMD_UNIT=postfix.service
pure-ftpd.conf:journalmatch = _SYSTEMD_UNIT=pure-ftpd.service + _COMM=pure-ftpd
recidive.conf:journalmatch = _SYSTEMD_UNIT=fail2ban.service PRIORITY=5
sshd.conf:journalmatch = _SYSTEMD_UNIT=sshd.service + _COMM=sshd
sshd-ddos.conf:journalmatch = _SYSTEMD_UNIT=sshd.service + _COMM=sshd

Additional info:
* fail2ban-0.9.6-2.hyperbola3

PackagesAnyImplementation RequestVery LowLow[exifread] add packageUnconfirmed
0%
Task Description

Hello,

Could it be possible to add this package :

exifread

“Python library to extract EXIF data from tiff and jpeg files”

https://aur.archlinux.org/packages/exifread/

Thanks

PackagesAnyBug ReportVery LowMedium[exfat-utils] filesystem can only be mounted manuallyUnconfirmed
0%
Task Description

One can mount exfat by running commands such as “sudo modprobe fuse” and “sudo mount.exfat /dev/sdc1 /mnt/storage” but it is inconvenient.

Also, loading fuse at startup is problematic - see here:

https://issues.hyperbola.info/index.php?do=details&task_id=1433

PackagesAnyImplementation RequestVery LowMedium[etherpad-lite] add packageUnconfirmed
0%
Task Description

Hi,

Would be nice to add etherpad-lite to our pacman.

https://github.com/ether/etherpad-lite

https://aur.archlinux.org/packages/etherpad-lite/

Showing tasks 151 - 200 of 491 Page 4 of 10<<First - 2 - 3 - 4 - 5 - 6 - Last >>

Available keyboard shortcuts

Tasklist

Task Details

Task Editing